Gerar nota fiscal do pedido
curl --request POST \
--url https://api.tiny.com.br/public-api/v3/pedidos/{idPedido}/gerar-nota-fiscal \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"modelo": 55
}'import requests
url = "https://api.tiny.com.br/public-api/v3/pedidos/{idPedido}/gerar-nota-fiscal"
payload = { "modelo": 55 }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({modelo: 55})
};
fetch('https://api.tiny.com.br/public-api/v3/pedidos/{idPedido}/gerar-nota-fiscal', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"numero": 123,
"serie": 123
}{
"mensagem": "Ocorreram erros de validação",
"detalhes": [
{
"campo": "codigo",
"mensagem": "O campo código é obrigatório"
}
]
}Pedidos
Gerar nota fiscal do pedido
POST
/
pedidos
/
{idPedido}
/
gerar-nota-fiscal
Gerar nota fiscal do pedido
⌘I
